Bug 996316 - SELinux is preventing /usr/bin/gtk-gnash from 'create' accesses on the directory .gnash.
SELinux is preventing /usr/bin/gtk-gnash from 'create' accesses on the direct...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:6309fe08e558aeb63f9cb6869b0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 19:13 EDT by nospam
Modified: 2013-08-21 20:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-71.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 20:54:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nospam 2013-08-12 19:13:40 EDT
Description of problem:
SELinux is preventing /usr/bin/gtk-gnash from 'create' accesses on the directory .gnash.

*****  Plugin mozplugger (99.1 confidence) suggests  *************************

If you want to use the plugin package
Then you must turn off SELinux controls on the Firefox plugins.
Do
# setsebool unconfined_mozilla_plugin_transition 0

*****  Plugin catchall (1.81 confidence) suggests  ***************************

If you believe that gtk-gnash should be allowed create access on the .gnash directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gtk-gnash /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                .gnash [ dir ]
Source                        gtk-gnash
Source Path                   /usr/bin/gtk-gnash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gnash-0.8.10-8.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-69.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.5-201.fc19.x86_64 #1 SMP Wed
                              Aug 7 16:25:24 UTC 2013 x86_64 x86_64
Alert Count                   217
First Seen                    2013-08-11 06:38:12 CEST
Last Seen                     2013-08-13 01:10:36 CEST
Local ID                      2a8e0150-fa73-43f1-acf1-6baeb1a0c8b6

Raw Audit Messages
type=AVC msg=audit(1376349036.92:626): avc:  denied  { create } for  pid=3715 comm="gtk-gnash" name=".gnash" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=dir


type=SYSCALL msg=audit(1376349036.92:626): arch=x86_64 syscall=mkdir success=no exit=EACCES a0=275ff88 a1=1c0 a2=2e a3=63656a624f646572 items=0 ppid=3712 pid=3715 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=gtk-gnash exe=/usr/bin/gtk-gnash subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: gtk-gnash,mozilla_plugin_t,user_home_dir_t,dir,create

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.5-201.fc19.x86_64
type:           libreport

Potential duplicate: bug 801169
Comment 1 Daniel Walsh 2013-08-13 18:13:16 EDT
Fixed in selinux-policy-3.12.1-70.fc19.noarch
Comment 2 Fedora Update System 2013-08-20 04:27:59 EDT
selinux-policy-3.12.1-71.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-71.fc19
Comment 3 Fedora Update System 2013-08-20 20:16:53 EDT
Package selinux-policy-3.12.1-71.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-71.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15088/selinux-policy-3.12.1-71.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-08-21 20:54:47 EDT
selinux-policy-3.12.1-71.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.